Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.protocol.fgjdbc
Class FgjdbcURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--com.macromedia.generator.protocol.fgjdbc.FgjdbcURLConnection

public class FgjdbcURLConnection
extends java.net.URLConnection

Field Summary
`(package private) java.io.InputStream` | `_fld0178`
`(package private) int` | `_fld0187`
`(package private) java.io.PrintWriter` | `E6`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, factory, ifModifiedSince, url, useCaches`

Constructor Summary
`(package private)` | `FgjdbcURLConnection(java.net.URL url)`

Method Summary
`void` | `connect()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getResString(java.lang.String s)`
`void` | `logMessage(java.lang.String s)`
`void` | `setLogWriter(int i, java.io.PrintWriter printwriter)`

Methods inherited from class java.net.URLConnection
`, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentHandler, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _fld0187

    int _fld0187

### E6

    java.io.PrintWriter E6

### _fld0178

    java.io.InputStream _fld0178

Constructor Detail

### FgjdbcURLConnection

    FgjdbcURLConnection(java.net.URL url)

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Overrides:
    `connect` in class `java.net.URLConnection`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`

### getResString

    public java.lang.String getResString(java.lang.String s)

### logMessage

    public void logMessage(java.lang.String s)

### setLogWriter

    public void setLogWriter(int i,
                             java.io.PrintWriter printwriter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD